[tor-commits] [tor-browser] 01/02: fixup! Bug 41089: Add tor-browser build scripts + Makefile to tor-browser

gitolite role git at cupani.torproject.org
Thu Sep 22 10:05:13 UTC 2022


This is an automated email from the git hooks/post-receive script.

pierov pushed a commit to branch geckoview-102.2.0esr-12.0-1
in repository tor-browser.

commit 641bbefd93dbc3623170f952b2a183fa6d77ca8a
Author: Pier Angelo Vendrame <pierov at torproject.org>
AuthorDate: Tue Sep 20 10:20:08 2022 +0200

    fixup! Bug 41089: Add tor-browser build scripts + Makefile to tor-browser
    
    Bug 41304: Add Android-specific targets to makefiles
    
    Added a fat-aar target to the Makefile.
---
 tools/torbrowser/Makefile  |  3 +++
 tools/torbrowser/fataar.sh | 34 ++++++++++++++++++++++++++++++++++
 2 files changed, 37 insertions(+)

diff --git a/tools/torbrowser/Makefile b/tools/torbrowser/Makefile
index 92650151560e..be6f44c52ce6 100644
--- a/tools/torbrowser/Makefile
+++ b/tools/torbrowser/Makefile
@@ -28,6 +28,9 @@ build:
 deploy:
 	./deploy.sh $(BINARIES) $(BUILD_OUTPUT)
 
+fat-aar:
+	./fataar.sh $(DEV_ROOT) $(ARCHS)
+
 all: build deploy
 
 run:
diff --git a/tools/torbrowser/fataar.sh b/tools/torbrowser/fataar.sh
new file mode 100755
index 000000000000..0f15a16e9cd9
--- /dev/null
+++ b/tools/torbrowser/fataar.sh
@@ -0,0 +1,34 @@
+#!/bin/bash
+set -e
+DEV_ROOT=$1
+ARCHS=$2
+
+cd $DEV_ROOT
+
+glue=""
+if [[ "$ARCHS" == *"armv7"* ]]; then
+	export MOZ_ANDROID_FAT_AAR_ARMEABI_V7A=$DEV_ROOT/obj-arm-linux-androideabi/gradle/build/mobile/android/geckoview/outputs/aar/geckoview-withGeckoBinaries-debug.aar
+	glue="$glue,armeabi-v7a"
+fi
+if [[ "$ARCHS" == *"aarch64"* ]]; then
+	export MOZ_ANDROID_FAT_AAR_ARM64_V8A=$DEV_ROOT/obj-aarch64-linux-android/gradle/build/mobile/android/geckoview/outputs/aar/geckoview-withGeckoBinaries-debug.aar
+	glue="$glue,arm64-v8a"
+fi
+if [[ "$ARCHS" == *"x86"* ]]; then
+	export MOZ_ANDROID_FAT_AAR_X86=$DEV_ROOT/obj-i386-linux-android/gradle/build/mobile/android/geckoview/outputs/aar/geckoview-withGeckoBinaries-debug.aar
+	glue="$glue,x86"
+fi
+if [[ "$ARCHS" == *"x86_64"* ]]; then
+	export MOZ_ANDROID_FAT_AAR_X86_64=$DEV_ROOT/obj-x86_64-linux-android/gradle/build/mobile/android/geckoview/outputs/aar/geckoview-withGeckoBinaries-debug.aar
+	glue="$glue,x86_64"
+fi
+if [ -z "$glue" ]; then
+	echo "The architectures have not specified or are not valid."
+	echo "Usage: make fat-aar ARCHS=\"\$archs\""
+	echo "Valid architectures are armv7 aarch64 x86 x86_64, and must be separated with a space."
+	exit 1
+fi
+export MOZ_ANDROID_FAT_AAR_ARCHITECTURES=${glue:1}
+
+MOZCONFIG=mozconfig-android-all-dev ./mach configure
+MOZCONFIG=mozconfig-android-all-dev ./mach build

-- 
To stop receiving notification emails like this one, please contact
the administrator of this repository.


More information about the tor-commits mailing list